4Suite™ API Documentation

# ► Module Ft.Server.FtRpc.Commands

RPC server commands
Copyright 2005 Fourthought, Inc. (USA).
Detailed license and copyright information: http://4suite.org/COPYRIGHT
Project home, documentation, distributions: http://4suite.org/

Classes: FtRpcCommand, LoginCommand, LogoutCommand, RemoteMethodCommand, RemoteRdfCommand, ResourceTypeCommand |  |  |  | Fields: g_commandMapping

## Classes

class FtRpcCommand

### Methods

__init__(self)
send(self, stream)
Send a Command and get a response from the server

### Fields

expected = None

class LoginCommand(FtRpcCommand)
Login a user to the repository

### Methods

__init__(self, userName, password)

### Methods inherited from class FtRpcCommand

send

### Fields

command = 1
expected = 1

class LogoutCommand(FtRpcCommand)
Logout a user from the repository

### Methods

__init__(self, commit)

### Methods inherited from class FtRpcCommand

send

### Fields

command = 2
expected = 1

class RemoteMethodCommand(FtRpcCommand)
Execute a Remote Method on an object. Return its results

### Methods

__init__(self, methodName, baseObject, args)

### Methods inherited from class FtRpcCommand

send

### Fields

command = 4
expected = 4

class RemoteRdfCommand(FtRpcCommand)
Execute a Remote Method on the model. Return its results

### Methods

__init__(self, methodName, baseObject, args, kw=None)

### Methods inherited from class FtRpcCommand

send

### Fields

command = 5
expected = 6

class ResourceTypeCommand(FtRpcCommand)
This command will return the resource type of an object given a certain path It can also be used to check for the exsistence of an object. It always returns an error or a resource type response

### Methods

__init__(self, path, baseObject)

### Methods inherited from class FtRpcCommand

send

### Fields

command = 3
expected = 3

## Fields

g_commandMapping = {1: <class Ft.Server.FtRpc.Commands.LoginCommand>, 2: <class Ft.Server.FtRpc.Commands.LogoutCommand>, 3: <class Ft.Server.FtRpc.Commands.ResourceTypeCommand>, 4: <class Ft.Server.FtRpc.Commands.RemoteMethodCommand>, 5: <class Ft.Server.FtRpc.Commands.RemoteRdfCommand>}